/**
 * @file recipes.h
 * @brief Recipes management. If new beerxml recipes are detected in
 *        the /recipe directory on the SD card they will be imported 
 *        when you enter the recipes menu. After successfull import the
 *        xml file extensions will be changed to xok to prevent that
 *        the recipe is imported again. After the import the recipe
 *        editor is shown.
 */

#ifndef	_RECIPES_H
#define	_RECIPES_H


/**
 * @brief Parse a Beerxml file and add the recipe.
 * @param fn The recipe filename.
 * @param code The recipe code serial.
 * @return Zero if no errors were found.
 */
int ParseRecipe(char *fn, char *code);

/**
 * @brief Recipes init fases.
 */
void Recipes_Init(void);

/**
 * @brief Revipes loop screens. Bob-blocking.
 */
void Recipes_Loop(void);

#endif
